<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.inra.ecoinfo</groupId>
        <artifactId>si_acbb</artifactId>
        <version>1912.06</version>
        <relativePath>..</relativePath>
    </parent>
    <artifactId>acbb-web</artifactId>
    <version>1912.06</version>
    <packaging>war</packaging>
    <name>acbb-web</name>
    <description>application web acbb</description>
    <properties>
        <!--<jdbc.url>jdbc:postgresql://localhost:5432/soereacbb2</jdbc.url>-->
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <stagingDirectory>../target/site</stagingDirectory>
        <!--        <jdbc.url>jdbc:postgresql://localhost:6543/soereacbb</jdbc.url>-->
        <!--        <jdbc.url>jdbc:postgresql://localhost:5432/soereacbb2</jdbc.url>
        <jdbc.username>acbbuser</jdbc.username>
        <jdbc.password>acbb001</jdbc.password>-->
    </properties>
    <build>
        <finalName>${project.artifactId}-${project.version}</finalName>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>src/main/java</directory>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${surefire.version}</version>
                <!--version>2.16</version -->
                <configuration>
                    <systemPropertyVariables>
                        <propertyName>concordion.output.dir</propertyName>
                        <buildDirectory>target/concordion</buildDirectory>
                        <lib>${project.build.testOutputDirectory}/WEB-INF/lib</lib>
                        <java.io.tmpdir>${project.basedir}/target</java.io.tmpdir>
                    </systemPropertyVariables>
                    <testFailureIgnore>true</testFailureIgnore>
                    <skipTests>false</skipTests>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.surefire</groupId>
                        <artifactId>surefire-junit47</artifactId>
                        <version>${surefire.version}</version>
                        <!--version>2.16</version -->
                    </dependency>
                </dependencies>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-site-plugin</artifactId>
                <version>${maven.site.plugin}</version>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <debug>false</debug>
                    <showDeprecation>false</showDeprecation>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
            <id>deserialization</id>
            <properties>
                <mode.serialization>Deserialization</mode.serialization>
                <jdbc.url>jdbc:postgresql://localhost:5432/soereacbb2</jdbc.url>
                <deploy.repository>tmp-acbb2</deploy.repository>
            </properties>
        </profile>
        <profile>
            <id>philippe</id>
            <properties>
                <faces.project.stage>Developpement</faces.project.stage>
                <jdbc.url>jdbc:postgresql://localhost:54320/soereacbb</jdbc.url>
                <jdbc.username>philippe</jdbc.username>
                <jdbc.password>pfsp</jdbc.password>
                <log_sql>false</log_sql>
            </properties>
        </profile>
        <profile>
            <id>acbbreduit</id>
            <properties>
                <faces.project.stage>Developpement</faces.project.stage>
                <jdbc.url>jdbc:postgresql://localhost:54320/acbbreduit</jdbc.url>
                <jdbc.username>philippe</jdbc.username>
                <jdbc.password>pfsp</jdbc.password>
                <log_sql>false</log_sql>
            </properties>
        </profile>
    </profiles>
    <repositories>
        <repository>
            <url>http://repository.primefaces.org/</url>
            <id>PrimeFaces-maven-lib</id>
            <layout>default</layout>
            <name>Repository for library PrimeFaces-maven-lib</name>
        </repository>
    </repositories>
    <dependencies>
        <dependency>
            <groupId>org.inra.ecoinfo</groupId>
            <artifactId>acbb-fluxmeteo-ui-jsf</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.inra.ecoinfo</groupId>
            <artifactId>acbb-mps-ui-jsf</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.inra.ecoinfo</groupId>
            <artifactId>acbb-sols-ui-jsf</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.atmosphere</groupId>
            <artifactId>atmosphere-compat-tomcat</artifactId>
            <version>2.0.0</version>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <version>4.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.codehaus.janino</groupId>
            <artifactId>janino</artifactId>
            <version>2.5.16</version>
        </dependency>
    </dependencies>
    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
                <configuration>
                    <configLocation>config/sun_checks.xml</configLocation>
                </configuration>
            </plugin>
        </plugins>
    </reporting>

</project>
